﻿using System.Collections.Generic;

namespace iiie.CacheControl.Business.OutputCache
{
    public interface IOutputCache
    {
        void RemoveStartsWith(string key);
        T Get<T>(string key) where T : class;
        object Get(string key);
        void Remove(string key);
        bool Contains(string key);
        void Add(string key, object o, string dependsOnKey = null);
        IEnumerable<string> AllKeys { get; }
    }
}
